org.apache.hadoop.hdfs.server.blockmanagement

## Class DatanodeDescriptor.CachedBlocksList

- java.lang.Object
- - org.apache.hadoop.util.IntrusiveCollection<org.apache.hadoop.hdfs.server.namenode.CachedBlock>
  - - org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor.CachedBlocksList

- All Implemented Interfaces:
    Iterable<org.apache.hadoop.hdfs.server.namenode.CachedBlock>, Collection<org.apache.hadoop.hdfs.server.namenode.CachedBlock>
  Enclosing class:
    org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor

      public static class DatanodeDescriptor.CachedBlocksList
      extends org.apache.hadoop.util.IntrusiveCollection<org.apache.hadoop.hdfs.server.namenode.CachedBlock>

  A list of CachedBlock objects on this datanode.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DatanodeDescriptor.CachedBlocksList.Type`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.util.IntrusiveCollection

      `org.apache.hadoop.util.IntrusiveCollection.IntrusiveIterator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.util.IntrusiveCollection

      `LOG`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor` | `getDatanode()`
    `DatanodeDescriptor.CachedBlocksList.Type` | `getType()`

    - ### Methods inherited from class org.apache.hadoop.util.IntrusiveCollection

      `add, addAll, addFirst, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### getDatanode

          public org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor getDatanode()

    - #### getType

          public DatanodeDescriptor.CachedBlocksList.Type getType()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.